io.vertx.core.logging

## Class Logger

- java.lang.Object
- - io.vertx.core.logging.Logger

- Deprecated.
  see https://github.com/eclipse-vertx/vert.x/issues/2774

      @Deprecated
      public class Logger
      extends Object

  This class allows us to isolate all our logging dependencies in one place. It also allows us to have zero runtime 3rd party logging jar dependencies, since we default to JUL by default.

  By default logging will occur using JUL (Java-Util-Logging). The logging configuration file (logging.properties) used by JUL will taken from the default logging.properties in the JDK installation if no `java.util.logging.config.file` system property is set.

  If you would prefer to use Log4J 2 or SLF4J instead of JUL then you can set a system property called `vertx.logger-delegate-factory-class-name` to the class name of the delegate for your logging system. For Log4J 2 the value is `Log4j2LogDelegateFactory`, for SLF4J the value is `SLF4JLogDelegateFactory`. You will need to ensure whatever jar files required by your favourite log framework are on your classpath.

  Keep in mind that logging backends use different formats to represent replaceable tokens in parameterized messages. As a consequence, if you rely on parameterized logging methods, you won't be able to switch backends without changing your code.

  Author:
    Tim Fox

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logger(LogDelegate delegate)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Object message)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `debug(Object message, Object... objects)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `debug(Object message, Throwable t)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `debug(Object message, Throwable t, Object... objects)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `error(Object message)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `error(Object message, Object... objects)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `error(Object message, Throwable t)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `error(Object message, Throwable t, Object... objects)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `fatal(Object message)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `fatal(Object message, Throwable t)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `LogDelegate` | `getDelegate()` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `info(Object message)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `info(Object message, Object... objects)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `info(Object message, Throwable t)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `info(Object message, Throwable t, Object... objects)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `boolean` | `isDebugEnabled()` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `boolean` | `isInfoEnabled()` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `boolean` | `isTraceEnabled()` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `boolean` | `isWarnEnabled()` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `trace(Object message)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `trace(Object message, Object... objects)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `trace(Object message, Throwable t)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `trace(Object message, Throwable t, Object... objects)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `warn(Object message)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `warn(Object message, Object... objects)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `warn(Object message, Throwable t)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
    `void` | `warn(Object message, Throwable t, Object... objects)` Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Logger

          @Deprecated
          public Logger(LogDelegate delegate)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

  - ### Method Detail

    - #### isWarnEnabled

          @Deprecated
          public boolean isWarnEnabled()

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### isInfoEnabled

          @Deprecated
          public boolean isInfoEnabled()

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### isDebugEnabled

          @Deprecated
          public boolean isDebugEnabled()

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### isTraceEnabled

          @Deprecated
          public boolean isTraceEnabled()

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### fatal

          @Deprecated
          public void fatal(Object message)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### fatal

          @Deprecated
          public void fatal(Object message,
                                        Throwable t)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### error

          @Deprecated
          public void error(Object message)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### error

          @Deprecated
          public void error(Object message,
                                        Throwable t)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### error

          @Deprecated
          public void error(Object message,
                                        Object... objects)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Throws:
        `UnsupportedOperationException` - if the logging backend does not support parameterized messages

    - #### error

          @Deprecated
          public void error(Object message,
                                        Throwable t,
                                        Object... objects)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Throws:
        `UnsupportedOperationException` - if the logging backend does not support parameterized messages

    - #### warn

          @Deprecated
          public void warn(Object message)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### warn

          @Deprecated
          public void warn(Object message,
                                       Throwable t)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### warn

          @Deprecated
          public void warn(Object message,
                                       Object... objects)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Throws:
        `UnsupportedOperationException` - if the logging backend does not support parameterized messages

    - #### warn

          @Deprecated
          public void warn(Object message,
                                       Throwable t,
                                       Object... objects)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Throws:
        `UnsupportedOperationException` - if the logging backend does not support parameterized messages

    - #### info

          @Deprecated
          public void info(Object message)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### info

          @Deprecated
          public void info(Object message,
                                       Throwable t)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### info

          @Deprecated
          public void info(Object message,
                                       Object... objects)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Throws:
        `UnsupportedOperationException` - if the logging backend does not support parameterized messages

    - #### info

          @Deprecated
          public void info(Object message,
                                       Throwable t,
                                       Object... objects)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Throws:
        `UnsupportedOperationException` - if the logging backend does not support parameterized messages

    - #### debug

          @Deprecated
          public void debug(Object message)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### debug

          @Deprecated
          public void debug(Object message,
                                        Throwable t)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### debug

          @Deprecated
          public void debug(Object message,
                                        Object... objects)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Throws:
        `UnsupportedOperationException` - if the logging backend does not support parameterized messages

    - #### debug

          @Deprecated
          public void debug(Object message,
                                        Throwable t,
                                        Object... objects)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Throws:
        `UnsupportedOperationException` - if the logging backend does not support parameterized messages

    - #### trace

          @Deprecated
          public void trace(Object message)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### trace

          @Deprecated
          public void trace(Object message,
                                        Throwable t)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774

    - #### trace

          @Deprecated
          public void trace(Object message,
                                        Object... objects)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Throws:
        `UnsupportedOperationException` - if the logging backend does not support parameterized messages

    - #### trace

          @Deprecated
          public void trace(Object message,
                                        Throwable t,
                                        Object... objects)

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Throws:
        `UnsupportedOperationException` - if the logging backend does not support parameterized messages

    - #### getDelegate

          @Deprecated
          public LogDelegate getDelegate()

      Deprecated. see https://github.com/eclipse-vertx/vert.x/issues/2774
      Returns:
        the delegate instance sending operations to the underlying logging framework

Copyright © 2021 Eclipse. All rights reserved.